cURL
curl --request POST \
--url https://bgv.konnectnxt.com/api/verification/pan-basic \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pan_number": "C03D3G7513"
}
'import requests
url = "https://bgv.konnectnxt.com/api/verification/pan-basic"
payload = { "pan_number": "C03D3G7513" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({pan_number: 'C03D3G7513'})
};
fetch('https://bgv.konnectnxt.com/api/verification/pan-basic', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"code": 200,
"message": "Data Fetched Successfully.",
"data": {
"name": "AMIT KUMAR",
"number": "C03D3G7513",
"typeOfHolder": "Individual or Person",
"isIndividual": true,
"isValid": true,
"firstName": "AMIT",
"middleName": "",
"lastName": "KUMAR",
"title": "",
"panStatus": "VALID",
"panStatusCode": "E",
"aadhaarSeedingStatus": "Successful",
"aadhaarSeedingStatusCode": "Y",
"lastUpdatedOn": "",
"individualTaxComplianceStatus": "operative"
},
"credits_used": 1,
"credits_remaining": 499
}
PAN
Pan Basic
Fetches Basic Pan Details.
POST
/
verification
/
pan-basic
cURL
The PAN Basic API is designed to validate and fetch essential details associated with a Permanent Account Number (PAN). It is a reliable and streamlined solution for identity verification and compliance checks, commonly used in financial, legal, and regulatory contexts.
Fields
title, panStatusCode, lastUpdatedOn can contain empty data.Pan Status Codes
| Status code | PAN Status |
|---|---|
| E | VALID |
| F | FAKE |
| X | DEACTIVATED |
| D | DELETED |
| N | INVALID |
| EA | AMALGAMATION |
| EC | ACQUISITION |
| ED | DEATH |
| EI | DISSOLUTION |
| EL | LIQUIDATED |
| EM | MERGER |
| EP | PARTITION |
| ES | SPLIT |
| EU | UNDER LIQUIDATION |
Aadhaar Seeding Status codes
| Status code | Status | Meaning |
|---|---|---|
| Y | Successful | PAN Aadhaar linked |
| R | UnSuccessful | PAN Aadhaar not linked |
| Blank | Aadhaar is not seeded | Invalid PAN, hence Aadhaar not seeded |
| NA | Not applicable | PAN is non-individual. Hence seeding not applicable. |
Authorizations
API key issued by KonnectNXT. Pass as Authorization: Bearer <your_api_key>.
Body
application/json
The 10-digit PAN number to verify.
Example:
"C03D3G7513"
Response
Successful response with Aadhaar verification details.
Overall status of the API
Available options:
success, error HTTP status code
Example:
400
Description of the response or error
Example:
"Invalid request parameters"
Show child attributes
Show child attributes
Represents the total number of credits used in this request.
Example:
3
Represents the remaining credits available for use.
Example:
4040
Was this page helpful?
⌘I

